Re: for PHP8.2

As far as I could test, PHP 8.2 support should be quite far along. The biggest problem will be the modules I think.

Topic


Re: for PHP8.2

OK, I will try.
Thanks.

Topic


Re: for PHP8.2

If you get a chance, Tac, please test the upcoming release on PHP8.2 and let us know what you find. https://github.com/ImpressCMS/impresscms



Re: for PHP8.2

Thank you, Tac!

We have PHP8 compatibility in the coming release of 2.0, which is really just days away, once we finish a few things and get through the holidays.



for PHP8.2

Hello from Japan.

 

Thank you always for the version upgrades and maintenance.

Now, I wanted to upgrade my WebServer's PHP from 7.4 to 8.2, but ImpressCMS was not compatible with PHP 8.2, so I did some trial and error and managed to install and manage it with PHP 8.2.

As for the modules, I am gradually making adjustments to the modules I use (Japanese version). I hope this is helpful. Please download from here.

https://impresscms.jp/uploads/ImpressCMS146.zip

 



Re: Hosting providers

That's interesting to know. Versio (a Dutch/Belgian provider) switched almost 2 years ago from Installatron to the softaculous integration inside DirectAdmin, which is the admin panel they use. The reason they gave was that installatron was too behind with updates. 

Both Installatron and Softaculous mention on their site that they have integration with Plesk. But perhaps there are other such scripts for plex that I don't know about. Probably even



Re: Hosting providers

The different providers I have worked with recently are using Plesk for their site administration and they have a different platform for installs. They do provide upgrade packages for applications you have installed.

MediaTemple (Plesk)

Ionos (Plesk)



Hosting providers

There are many hosting providers, so what hosting are you using and what is your experience running ImpressCMS on that host? Does the hosting option provide easy install options (like Softaculous)? I will update this list with the information that comes in.

Date Hosting Company Country

ImpressCMS Specific Setup?

Easy Install Type
28/07/2021 Versio.nl Belgium/Netherlands No Softaculous Shared Hosting
28/07/2021 Siteground.com Worldwide No Not anymore Shared Hosting
8/8/2021 mediatemple Worldwide No Plesk Shared Hosting
8/8/2021 Ionos Worldwide No Plesk Shared Hosting

 



Hosting options

Currently our site is hosted on Siteground hosting, but unfortunately they did  major upgrade recently which removed their support for Softaculous. As you may know, ImpressCMS is available on softaculous for (even yèt) easier installation and upgrades, and so we needed to upload all files ourselves and short-circuit our Softaculous installation.

My other hosting provider also has Softaculous, but due to a misconfiguration on their part, I need to intervene manually in order to get a first install working. Bummer.

I would love to have DigitalOcean, AWS or Azure (or other services) easy to install available but I'm not using any of those at the moment so I don't now what would be the best to focus on to get working. Vanilla Docker Compose perhaps?



Re: Error while installing

Great, thanks for confirming that the issue was fixed on your side as well. No problem with slow replies, normal life has its necessities too

I can not even spend a fraction of the time I would like to on ImpressCMS, I sympathize.



Re: Error while installing

I can login now and the error before is already fix. 



Re: Error while installing

Apologize for late reply, I will test this now and I will update you



Re: Error while installing

Hi, I checked on multiple instances and the problem is now gone. The Pull Request is now integrated in the master branch. I plan on doing a new alpha by the end of the week.



Re: Error while installing

There is a possible fix for this, could you test it out on your setup as well? I'll check it on mine before approving the Pull Request, but 2 checks is better than 1

https://github.com/ImpressCMS/impresscms/pull/797 



Re: Error while installing

Hi, I was able to verify on both PHP 7.3 and PHP 7.4, both with and without a database prefix. It's a bug I created an issue on github.



Re: Error while installing

Hi ! I try it for this time I remove the modification on the code but still it render the error message, If I try to apply again the modification the error message will disappear but still I can't use it..


Attach file:



png  error_3.png (98.68 KB)
3342__94125f90c621545cf.png 1907X930 px


Re: Error while installing

Hi, I see you are trying to connect to the database at 127.0.0.1, and the mysql server is on 'localhost'. I know those are equivalent in practice, but I've had issues before with MySQL that it treats them as 2 different things (in fact they are not the same). can you change 127.0.0.1 -> localhost in your .env file and let me know if that solves the problem?



Error while installing

Hi ! I try to install ImpressCMS 2.0.0 Alpha but I can't run it.  I even try to directly indicate the username,password on Database provider however it just remove the error message and the functionality still can't be use.

php version : PHP 7.4.11

OS : Windows

 

(5th time installation)

 

- clone the repo https://github.com/ImpressCMS/impresscms.git

- run composer install 

- create a .env file (empty file)

- create database named impresscms

- go to /htdocs where it redirect to installation page

- setup database connection (default username and password on xampp) and I also select PDO Mysql

- I add the database name (impresscms) and change the prefix to empty

- setup account

- insert data to database (I get this message : All done. Took 5.5023s)

- install module (Message : Module System updated successfully.)

 

Now it seems the installation complete I go to impresscms/htdocs and it render the error message

 

Clicking multiple times a functionality return this (check image)

Now I solve this via modifying the code (check image)

 

After doing that the error for mysql will not appear anymore but still I can't use the login and the not found message still here..

 

Regards :)


Attach file:


zip errors.zip Size: 200.53 KB; Hits: 265


Re: A project I've been putting off - ICMS 1.2.x to 1.3.x

iForum 2 is not compatible with PHP7, on top of that. I'm not sure if it is a worthwile time investment to try to patch iForum 2, given that it uses the Art framework instead of IPF. Potentially, many issues will also be in Art.

I want to re-do iForum in IPF, but that would be iForum 3, and would be PHP7 compatible



Re: A project I've been putting off - ICMS 1.2.x to 1.3.x

More results - iForum 1.0 Final also requires ImpressCMS 1.3+, while iForum 1.0 RC does not.




 Top